PDA

Visualizza la versione completa : [DEBIAN]problema fantascientifico con il wireless (linksys wmp54g )


thesalien
17-01-2007, 12:42
salve a tutti, sto cercando di installare il wireless su debian ma anche dopo aver letto decine di guide nn sono ancora riuscito a trovare una soluzione.
Ho trovato un driver nativo, l' RT2500 e vorrei provare con questo invece del ndiswrapper+wpasupplicant. Ho installato il primo cd di Debian ed ho installato alcuni pacchetti: gcc, wireless-tools, module-assistant.

ora sto provando a seguire questo manuale: http://rt2x00.serialmonkey.com/wiki/index.php/Debian_rt2500_Howto

ma in pratica quando provo ad usare module-assistant (# module-assistant auto-install rt2500-source) mi dice che non trova gli headers. Gli ho installati correttamente ma nulla mi dice sempre lo stesso errore:



rt2500-source (source) installed (V: 1.1.0+cvs20061231-2): │
│ -- Binary package(s) for kernel(s): │
│ + (2.6.18-3-486): not found │
│ Some packages could not be found. The "search" command can search in the │
│ package pool for precompiled packages.



Ho fatto alcune prove ma sempre gli stessi risultati.. vi mostro i log..



kakashi:/home/dany# module-assistant prepare
Getting source for kernel version: 2.6.18-3-486
Kernel headers available in /lib/modules/2.6.18-3-486/build
apt-get install build-essential
Lettura della lista dei pacchetti in corso... Fatto
Generazione dell'albero delle dipendenze in corso... Fatto
build-essential è gi alla versione più recente.
0 aggiornati, 0 installati, 0 da rimuovere e 1 non aggiornati.

Done!
kakashi:/home/dany# cd /usr/src
kakashi:/usr/src# ls
linux linux-headers-2.6.18-3-486 modules rt2500.tar.bz2
kakashi:/usr/src# cd linux
kakashi:/usr/src/linux# ls
arch drivers init lib Module.symvers security
block fs ipc Makefile net sound
crypto include kernel mm scripts usr
kakashi:/usr/src/linux# cd ..
kakashi:/usr/src# sl
bash: sl: command not found
kakashi:/usr/src# cd
kakashi:~# ls
kakashi:~# cd /usr/src
kakashi:/usr/src# ls
linux linux-headers-2.6.18-3-486 modules rt2500.tar.bz2
kakashi:/usr/src# cd linux-headers-2.6.18-3-486/
kakashi:/usr/src/linux-headers-2.6.18-3-486# ls
arch drivers init lib Module.symvers security
block fs ipc Makefile net sound
crypto include kernel mm scripts usr
kakashi:/usr/src/linux-headers-2.6.18-3-486# cd ..
kakashi:/usr/src# ls
linux linux-headers-2.6.18-3-486 modules rt2500.tar.bz2
kakashi:/usr/src# ls
linux linux-headers-2.6.18-3-486 modules rt2500.tar.bz2
kakashi:/usr/src# cd modules/
kakashi:/usr/src/modules# ls
rt2500
kakashi:/usr/src/modules# cd rt2500/
kakashi:/usr/src/modules/rt2500# ls
2.4.x docs md5.h rtmp_def.h sync.c
2.6.x eeprom.c mlme.c rtmp.h TESTING
assoc.c FAQ mlme.h rtmp_info.c THANKS
auth.c ifcfg-ra0 oid.h rtmp_init.c unload
auth_rsp.c INSTALL.Debian README rtmp_main.c wpa.c
CHANGELOG iwpriv_usage.txt RT2500STA.dat rtmp_tkip.c wpa.h
config.mk load rt2560.h rtmp_type.h
connect.c Makefile rt_config.h rtmp_wep.c
debian md5.c rtmp_data.c sanity.c
kakashi:/usr/src/modules/rt2500# make
make[1]: Entering directory `/usr/src/linux-headers-2.6.18-3-486'
kakashi:/home/dany# module-assistant prepare
Getting source for kernel version: 2.6.18-3-486
Kernel headers available in /lib/modules/2.6.18-3-486/build
apt-get install build-essential
Lettura della lista dei pacchetti in corso... Fatto
Generazione dell'albero delle dipendenze in corso... Fatto
build-essential è gi alla versione più recente.
0 aggiornati, 0 installati, 0 da rimuovere e 1 non aggiornati.

Done!
kakashi:/home/dany# cd /usr/src
kakashi:/usr/src# ls
linux linux-headers-2.6.18-3-486 modules rt2500.tar.bz2
kakashi:/usr/src# cd linux
kakashi:/usr/src/linux# ls
arch drivers init lib Module.symvers security
block fs ipc Makefile net sound
crypto include kernel mm scripts usr
kakashi:/usr/src/linux# cd ..
kakashi:/usr/src# sl
bash: sl: command not found
kakashi:/usr/src# cd
kakashi:~# ls
kakashi:~# cd /usr/src
kakashi:/usr/src# ls
linux linux-headers-2.6.18-3-486 modules rt2500.tar.bz2
kakashi:/usr/src# cd linux-headers-2.6.18-3-486/
kakashi:/usr/src/linux-headers-2.6.18-3-486# ls
arch drivers init lib Module.symvers security
block fs ipc Makefile net sound
crypto include kernel mm scripts usr
kakashi:/usr/src/linux-headers-2.6.18-3-486# cd ..
kakashi:/usr/src# ls
linux linux-headers-2.6.18-3-486 modules rt2500.tar.bz2
kakashi:/usr/src# ls
linux linux-headers-2.6.18-3-486 modules rt2500.tar.bz2
kakashi:/usr/src# cd modules/
kakashi:/usr/src/modules# ls
rt2500
kakashi:/usr/src/modules# cd rt2500/
kakashi:/usr/src/modules/rt2500# ls
2.4.x docs md5.h rtmp_def.h sync.c
2.6.x eeprom.c mlme.c rtmp.h TESTING
assoc.c FAQ mlme.h rtmp_info.c THANKS
auth.c ifcfg-ra0 oid.h rtmp_init.c unload
auth_rsp.c INSTALL.Debian README rtmp_main.c wpa.c
CHANGELOG iwpriv_usage.txt RT2500STA.dat rtmp_tkip.c wpa.h
config.mk load rt2560.h rtmp_type.h
connect.c Makefile rt_config.h rtmp_wep.c
debian md5.c rtmp_data.c sanity.c
kakashi:/usr/src/modules/rt2500# make
make[1]: Entering directory `/usr/src/linux-headers-2.6.18-3-486'






Qualcuno ha una mezza idea di come fare x risolvere questa situazione ?

bereshit
17-01-2007, 12:46
dai solo m-a e da interfaccia pseudografica dagli update e prepare..a me non ha mai dato problemi..

thesalien
17-01-2007, 13:15
ora provo ma l'ho gi provato update ecc.. mi dice che c' un errore e quello che ho riportato proprio il log di quell'errore

questo:



rt2500-source (source) installed (V: 1.1.0+cvs20061231-2): │
│ -- Binary package(s) for kernel(s): │
│ + (2.6.18-3-486): not found │
│ Some packages could not be found. The "search" command can search in the │
│ package pool for precompiled packages.

Loading